package com.rjconsultores.ventaboletos.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.MensajeEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.Mensaje;
import com.rjconsultores.ventaboletos.entidad.MensajeEmpresa;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.service.MensajeEmpresaService;

@Service("mensajeEmpresaService")
public class MensajeEmpresaServiceImpl implements MensajeEmpresaService {

	@Autowired
	private MensajeEmpresaDAO mensajeEmpresaDAO;

	@Override
	public List<MensajeEmpresa> obtenerTodos() {
		return mensajeEmpresaDAO.obtenerTodos();
	}

	@Override
	public MensajeEmpresa obtenerID(Integer id) {
		return mensajeEmpresaDAO.obtenerID(id);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public void borrar(MensajeEmpresa entidad) {
		mensajeEmpresaDAO.borrar(entidad);
	}

	@Override
	@Transactional(rollbackFor = BusinessException.class)
	public MensajeEmpresa suscribirActualizar(MensajeEmpresa entidad) throws BusinessException {
		if (entidad.getMensajeEmpresaId() == null) {
			return mensajeEmpresaDAO.suscribir(entidad);
		} else {
			return mensajeEmpresaDAO.actualizacion(entidad);
		}
	}

	@Override
	public List<MensajeEmpresa> obtenerPorMensaje(Mensaje mensaje) {
		return mensajeEmpresaDAO.obtenerPorMensaje(mensaje);
	}

}
